"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryFunctionTemplates = exports.updateFunctionTemplate = exports.createFunctionTemplate = void 0;
const ambassadorWixFunctionsTemplatesV1FunctionTemplate = __importStar(require("./functions-templates-v1-function-template-function-templates.http.js"));
function createFunctionTemplate() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.createFunctionTemplate(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/templates',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createFunctionTemplate = createFunctionTemplate;
function updateFunctionTemplate() {
    const payload = { functionTemplate: { id: ':functionTemplateId' } };
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.updateFunctionTemplate(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/templates/{functionTemplate.id}',
        pathParams: { functionTemplateId: 'functionTemplateId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateFunctionTemplate = updateFunctionTemplate;
function queryFunctionTemplates() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.queryFunctionTemplates(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/templates/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryFunctionTemplates = queryFunctionTemplates;
//# sourceMappingURL=functions-templates-v1-function-template-function-templates.meta.js.map