import { createFunctionTemplate as publicCreateFunctionTemplate, updateFunctionTemplate as publicUpdateFunctionTemplate, queryFunctionTemplates as publicQueryFunctionTemplates, } from './functions-templates-v1-function-template-function-templates.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onFunctionTemplateCreated as publicOnFunctionTemplateCreated } from './functions-templates-v1-function-template-function-templates.public.js';
import { onFunctionTemplateUpdated as publicOnFunctionTemplateUpdated } from './functions-templates-v1-function-template-function-templates.public.js';
export const createFunctionTemplate = /*#__PURE__*/ createRESTModule(publicCreateFunctionTemplate);
export const updateFunctionTemplate = /*#__PURE__*/ createRESTModule(publicUpdateFunctionTemplate);
export const queryFunctionTemplates = /*#__PURE__*/ createRESTModule(publicQueryFunctionTemplates);
/**
 * as we don't persist data we need to think if we need domain events for this API, if yes we will need not to forget to
 * trigger the event on the right place.
 */
export const onFunctionTemplateCreated = createEventModule(publicOnFunctionTemplateCreated);
/** */
export const onFunctionTemplateUpdated = createEventModule(publicOnFunctionTemplateUpdated);
export { SortOrder, WebhookIdentityType, } from './functions-templates-v1-function-template-function-templates.universal.js';
//# sourceMappingURL=functions-templates-v1-function-template-function-templates.context.js.map