import * as ambassadorWixFunctionsTemplatesV1FunctionTemplate from './functions-templates-v1-function-template-function-templates.http.js';
export function createFunctionTemplate() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.createFunctionTemplate(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/templates',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateFunctionTemplate() {
    const payload = { functionTemplate: { id: ':functionTemplateId' } };
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.updateFunctionTemplate(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/templates/{functionTemplate.id}',
        pathParams: { functionTemplateId: 'functionTemplateId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryFunctionTemplates() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsTemplatesV1FunctionTemplate.queryFunctionTemplates(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/templates/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=functions-templates-v1-function-template-function-templates.meta.js.map